Bug 122590 - FILEOPEN XLSX Conditional formatting referencing cell value in another sheet isn't imported
Summary: FILEOPEN XLSX Conditional formatting referencing cell value in another sheet ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:6.3.0
Keywords: filter:xlsx
Depends on:
Blocks: XLSX-Conditional-Formatting
  Show dependency treegraph
 
Reported: 2019-01-09 07:28 UTC by Aron Budea
Modified: 2019-06-11 08:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample XLSX (9.77 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-01-09 07:28 UTC, Aron Budea
Details
Comparison screenshot (123.53 KB, image/png)
2019-01-09 07:29 UTC, Aron Budea
Details
Similar sample created in Calc (7.31 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-01-09 23:59 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-01-09 07:28:13 UTC
Created attachment 148159 [details]
Sample XLSX

The attached XLSX was created in Excel, has two sheets (Sheet1, Sheet1), and a conditional formatting that reads as follows in Excel: Cell Value = Sheet2!A1

The condition should apply to A1 in Sheet1, and result in a red background, but doesn't.

Observed using LO 6.2.0.1 & 4.0.0.3 / Windows 7.
Comment 1 Aron Budea 2019-01-09 07:29:28 UTC
Created attachment 148160 [details]
Comparison screenshot
Comment 2 Gabor Kelemen (allotropia) 2019-01-09 09:53:43 UTC
bug #122102 also has the same error, condition on the other (hidden) sheet. Maybe this one is more straightforward.
Comment 3 m.a.riosv 2019-01-09 22:08:00 UTC
The formula doesn't work in ODS, I think to remember there are limitations to use CF between sheets.

LibreOffice saves and reopen with the formula in xlsx and ods.

Maybe the issue to import is in relation about the excel syntax in CF.
Comment 4 Aron Budea 2019-01-09 23:59:40 UTC
Created attachment 148192 [details]
Similar sample created in Calc

(In reply to m.a.riosv from comment #3)
> The formula doesn't work in ODS, I think to remember there are limitations
> to use CF between sheets.
Yes, the Calc sheet reference syntax is different (eg. Sheet2.A1), but I could create a similar sample in Calc with Calc's native syntax, and import/export is expected to take care of translating the references.

In fact, saving this sample in XLSX format in Calc generates a file that can be opened fine both in Calc and Excel.
Comment 5 raal 2019-02-13 21:33:39 UTC
Confirm. Version: 6.3.0.0.alpha0+
Build ID: c7ad7849d54fd3dad67e7779102f65b8b2f04881
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 6 Commit Notification 2019-05-04 08:23:02 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8c637b47d9de4b3a64c33a9c2ffe7ed220be2467%5E%21

tdf#122590 Import and export xlsx x14:cfRule element for type = cellis.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-05-04 08:23:14 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c2f1c68ffb6dfa1ce7de09dcc428d6c53549e88d%5E%21

tdf#122590: follow-up : import x14:cfRule priorities

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Andras Timar 2019-06-07 13:02:13 UTC
This bug has been fixed by the two commits above.